MYPWD=`pwd`
mkdir -p /mnt/target/basepkgs
cd /mnt/target/basepkgs

for repo in `cat /root/scripts/repos`; do yum-config-manager --add-repo=$repo; done
sh /root/scripts/resolvedeps.sh yum | xargs yumdownloader
cd $MYPWD
rpm --root /mnt/target --initdb --dbpath /var/lib/rpm
rpm --root /mnt/target --nodeps --dbpath /var/lib/rpm -ivh /mnt/target/basepkgs/*

rm -f /mnt/target/basepkgs/*

cd /mnt/target/basepkgs/
yumdownloader centos-release epel-release h90-private-release elrepo-release
cd $MYPWD

cp /etc/resolv.conf /mnt/target/etc/
chroot /mnt/target/ rpm -ihv --nodeps --replacepkgs --replacefiles /basepkgs/*
rm -rf /mnt/target/basepkgs
chroot /mnt/target/ yum -y update
chroot /mnt/target/ yum -y --nogpgcheck install @base vi openssh
