mount /dev/sda1 /mnt/target/boot

mkswap -f /dev/HostVG/swap

cat > /mnt/target/etc/fstab <<EOF
/dev/HostVG/root /                       xfs     defaults        0 0
/dev/sda1 /boot                   xfs    defaults        1 2
/dev/HostVG/swap swap                    swap    defaults        0 0
EOF

chroot /mnt/target sh -c 'mount -t devtmpfs devtmpfs /dev; mount -t proc proc /proc; mount -t sysfs sysfs /sys; udevadm trigger; yum -y install kernel kernel-headers grub2; grub2-mkconfig -o /boot/grub2/grub.cfg; grub2-install /dev/sda'
#umount /mnt/target/sys /mnt/target/dev /mnt/target/proc
