if grep 'inst.text' /proc/cmdline >/dev/null; then 
	openvt -c 4 -f -- sh -c 'export TERM=linux; export USER=root; export HOME=/root; cd /root/scripts; pyside-uic qt_c2p_installer/mainwindow.ui -o c2pinstaller/gui/mainwindow.py; python install.py'
	chvt 4
elif grep 'c2p.debug' /proc/cmdline >/dev/null; then 
	openvt -c 4 -f -- sh -c 'export TERM=linux; export USER=root; export HOME=/root; cd /root/scripts; echo "welcome to debinst pre-install environment, to run installation run python install.py [ks-file]"; bash'
	chvt 4
else
	
	cat > /etc/X11/xinit/xinitrc <<EOF
#!/bin/sh
cd /root/scripts
pyside-uic qt_c2p_installer/mainwindow.ui -o c2pinstaller/gui/mainwindow.py
pyside-uic qt_c2p_installer/error_dialog.ui -o c2pinstaller/gui/error_dialog.py
pyside-uic qt_c2p_installer/reboot_dialog.ui -o c2pinstaller/gui/reboot_dialog.py
openvt -c 4 -w -f -- '/bin/true'
python install.py >/dev/tty4 2>&1
EOF
	openvt -c 5 -f -- sh -c 'export TERM=linux; export USER=root; export HOME=/root; startx; bash'
fi