#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
    ui->l_debug->hide();
    ui->w_caption->hide();
    ui->w_progress->hide();
    ui->w_before_install->hide();
    ui->w_caption->show();
    this->installEventFilter(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}

bool MainWindow::eventFilter(QObject *obj, QEvent *event)
 {
     if (event->type() == QEvent::KeyPress) {
         QKeyEvent *keyEvent = static_cast<QKeyEvent *>(event);

         if (keyEvent->key() == 49) {
             ui->w_caption->hide();
             ui->w_progress->hide();
             ui->w_before_install->hide();
             ui->w_caption->show();
         } else if (keyEvent->key() == 50) {
             ui->w_caption->hide();
             ui->w_progress->hide();
             ui->w_before_install->hide();
             ui->w_before_install->show();
         } else if (keyEvent->key() == 51) {
             ui->w_caption->hide();
             ui->w_progress->hide();
             ui->w_before_install->hide();
             ui->w_progress->show();
         }
         // qDebug("Ate key press %d", keyEvent->key());
         return true;
     } else {
         // standard event processing
         return QObject::eventFilter(obj, event);
     }
 }
